<?php
require __DIR__ . '/../Motemotest.php';

class MotemotestTest extends PHPUnit_Framework_TestCase
{
    protected $mote;
    public function setUp()
    {
        $this->mote = new Motemotest();
    }

    public function testCountUpPlusInteger()
    {
        $this->assertEquals(1, $this->mote->countUp(0));
        $this->assertEquals(1, $this->mote->countUp(0, 1));
        $this->assertEquals(2, $this->mote->countUp(0, 2));
    }

    public function testCountUpMinusInteger()
    {
        $this->assertEquals(0, $this->mote->countUp(-1));
        $this->assertEquals(-1, $this->mote->countUp(0, -1));
        $this->assertEquals(-2, $this->mote->countUp(0, -2));
    }
}
